UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_src_event_umq_stability_ack_info_ex_t_stct Struct Reference

Structure that holds UMQ ACK information for a given message in an extended form. More...

`#include <lbm.h>`

## Data Fields
int | flags
| Bitmap indicating extra information about the ACK. Zero or more flag bits ORed together: LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_* (i.e. LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE, LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE, LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_STABLE, LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_USER) More...
lbm_umq_msgid_t | msg_id
| Message ID of the message being acknowledged.
lbm_uint_t | first_sequence_number
| First sequence number for the message after being fragmented.
lbm_uint_t | last_sequence_number
| Last sequence number for the message after being fragmented.
lbm_uint_t | queue_id
| The Queue ID of the queue.
lbm_uint_t | queue_instance_index
| The index of the instance of the queue acknowledging the message.
void * | msg_clientd
| The clientd pointer passed in for the message.
char | queue_instance [LBM_UME_MAX_STORE_STRLEN]
| The instance of the queue acknowledging the message.
char | queue [LBM_UMQ_MAX_QUEUE_STRLEN]
| The name of the queue.

## Detailed Description

Structure that holds UMQ ACK information for a given message in an extended form.

This structure signals to the source acknowledgement of a message by a queue instance. Delivered as a source event LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX via callbacks lbm_src_cb_proc and lbm_context_src_cb_proc.

See lbm_src_event_umq_stability_ack_info_ex_t_stct for field definitions.

## Field Documentation

int lbm_src_event_umq_stability_ack_info_ex_t_stct::flags

Bitmap indicating extra information about the ACK. Zero or more flag bits ORed together: LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_* (i.e. LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE, LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE, LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_STABLE, LBM_SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_USER)

Flags that indicate which optional portions are included

The documentation for this struct was generated from the following file:

- lbm.h